summaryrefslogtreecommitdiff
path: root/init.d/50vcs-perm
diff options
context:
space:
mode:
Diffstat (limited to 'init.d/50vcs-perm')
-rwxr-xr-xinit.d/50vcs-perm8
1 files changed, 8 insertions, 0 deletions
diff --git a/init.d/50vcs-perm b/init.d/50vcs-perm
new file mode 100755
index 0000000..9ffad92
--- /dev/null
+++ b/init.d/50vcs-perm
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -e
+
+if [ "$VCS" = git ]; then
+ chmod 700 .git
+elif [ "$VCS" = hg ]; then
+ chmod 700 .hg
+fi